package box;

import java.util.ArrayList;
import path.Node;

public class Box {
	public ArrayList<ArrayList<Node>> edgeMap;
	public int width, height, x, y;
	
	public Box(int x, int y, int w, int h) {
		this.x = x;
		this.y = y;
		this.width = w;
		this.height = h;
	}
	
	public boolean hasNode(Node node) {
		int x1 = this.width + this.x;
		int y1 = this.height + this.y;
		if (node.x >= this.x && node.x < x1 && node.y >= this.y && node.y < y1)
			return true;
		return false;
	}
}
