package box;

import java.util.ArrayList;
import path.Node;

public class Sector {
	public Box boundingBox;
	public ArrayList<Portal> portals;
	public Node centerNode;
	
	public Sector(int x, int y, int w, int h) {
		boundingBox = new Box(x, y, w, h);
		centerNode = new Node((w / 2) + x, (h / 2) + y);
	}
	
	public void setPortal(Sector sector) {
		if (portals == null)
			portals = new ArrayList<Portal>();
		portals.add(new Portal(sector, this));
	}
	
}
